Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
patch-policy-targets
List patch policy targets
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/patch-policy-targets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/patch-policy-targets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/patch-policy-targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_next": false,
  "data": [
    {
      "id": "66ab6cf4d4d2e709bafd404c",
      "name": "Base",
      "created_by": "6439606652fc0c0051f1787b",
      "created_at": "2024-08-01T11:09:40.719Z",
      "timezone": "UTC",
      "should_restart": true,
      "wake_on_lan": true,
      "force_patching_configuration": false,
      "is_in_maintenance": false,
      "weeks": [
        1,
        2
      ],
      "schedule": {
        "MONDAY": {},
        "TUESDAY": {},
        "WEDNESDAY": {},
        "THURSDAY": {
          "9": [
            15,
            30,
            45
          ],
          "10": [
            0,
            15,
            30,
            45
          ],
          "11": [
            0,
            15,
            30,
            45
          ],
          "12": [
            0,
            15,
            30,
            45
          ],
          "13": [
            0,
            15,
            30,
            45
          ],
          "14": [
            0,
            15,
            30,
            45
          ],
          "15": [
            0
          ]
        },
        "FRIDAY": {},
        "SATURDAY": {},
        "SUNDAY": {}
      },
      "patch_policy_target_type": "windows",
      "patch_policy_id": "507f1f77bcf86cd799439011"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

The unique identifier of the organization

Maximum string length: 24
Pattern: ^[0-9a-f]{24}$

Query Parameters

page
integer
default:1

Page number (default: 1)

Required range: x >= 1
per_page
integer
default:100

Items per page (default: 100, max: 100)

Required range: 1 <= x <= 100
sort
string

Sorting field with optional suffix order (:asc or :desc). Use response property names. Valid fields: id, name, created_at, timezone, should_restart, wake_on_lan, force_patching_configuration, is_in_maintenance, patch_policy_target_type. Example: "name:asc" or "created_at:desc"

fields
string

Comma-separated list of fields to include in each patch policy target item. Selectable fields: id, name, created_by, created_at, timezone, should_restart, wake_on_lan, force_patching_configuration, is_in_maintenance, weeks, schedule, patch_policy_target_type, patch_policy_id. The field id is always included.

Maximum string length: 2048
filters
string

Filter patch policy targets by one or more criteria. Provide a JSON object with filter conditions. You can filter by any field returned in the response. Use comparison operators (eq, ne, gt, gte, lt, lte, in, nin, contains, startsWith, endsWith, between) and combine multiple conditions with logical operators (and, or). Maximum length: 5120 characters.

Maximum string length: 5120

Response

Paginated list of patch policy targets successfully retrieved.

has_next
boolean
required

Indicates if more results are available on the next page

data
object[]
required

Array of patch policy target objects